var scriptName="Warning LowHealth";var scriptVersion=1.0;var scriptAuthor="soulplexis việt hóa by NoLegit";var exampleModule=new ExampleModule();var exampleModuleClient;var colorIndex=0;function printMessage(message){var availableColors=["§0[§d§lANTIGAY§0] §b","§0[§2§lNTIGAY§0] §3"];var color=availableColors[colorIndex];colorIndex+=1;if(colorIndex>=availableColors.length){colorIndex=0;}
chat.print(color+message+"§r");}
function ExampleModule(){var ticks=0;this.getName=function(){return "LowHealth";};this.getDescription=function(){return "Cảnh Báo Bạn Lúc Máu Bạn Thấp.";};this.getCategory=function(){return "Fun";};this.onUpdate=function(){if(mc.thePlayer.getHealth()<=0){printMessage("Tôi Nghĩ Bạn Sắp Chết Ròi.");}
if(mc.thePlayer.getHealth()<=7){ticks++;if(ticks>=mc.thePlayer.getHealth()+20){printMessage("Này!Máu Bạn Rất Thấp Hồi Máu Ngay.");ticks=0;}}else{if(ticks>0){printMessage("Máu Của Bạn Đã Được Hồi.");ticks=0;}}}
this.onDisable=function(){}}
function onLoad(){};function onEnable(){exampleModuleClient=moduleManager.registerModule(exampleModule);};function onDisable(){moduleManager.unregisterModule(exampleModuleClient);};